#include <libint2.h>
#include <HRRPart0bra0ket0gd.h>
#include <HRRPart0bra0ket0gf.h>
#include <HRRPart0bra0ket0gg.h>
#include <HRRPart0bra0ket0gh.h>
#include <HRRPart0bra0ket0gi.h>
#include <HRRPart0bra0ket0gp.h>
#include <HRRPart0bra0ket0hd.h>
#include <HRRPart0bra0ket0hf.h>
#include <HRRPart0bra0ket0hg.h>
#include <HRRPart0bra0ket0hh.h>
#include <HRRPart0bra0ket0hp.h>
#include <HRRPart0bra0ket0id.h>
#include <HRRPart0bra0ket0if.h>
#include <HRRPart0bra0ket0ig.h>
#include <HRRPart0bra0ket0ip.h>
#include <HRRPart0bra0ket0kd.h>
#include <HRRPart0bra0ket0kf.h>
#include <HRRPart0bra0ket0kp.h>
#include <HRRPart0bra0ket0ld.h>
#include <HRRPart0bra0ket0lp.h>
#include <HRRPart0bra0ket0mp.h>
#include <_elecpot_G_I_prereq.h>

#ifdef __cplusplus
extern "C" {
#endif
void _elecpot_G_I(const Libint_t* inteval) {

_libint2_static_api_bzero_short_(inteval->stack+0*1,266)
const int contrdepth = inteval->contrdepth;
#ifdef __INTEL_COMPILER
#pragma ivdep
#endif
for(int c = 0; c<contrdepth; c++) {
_elecpot_G_I_prereq(inteval+c, inteval->stack);
}

LIBINT2_REALTYPE*const  stack = inteval->stack;
{
const int hsi = 0;
{
const int lsi = 0;
{
const int vi = 0;
HRRPart0bra0ket0hp(inteval, &(inteval->stack[((hsi*63+686)*1+lsi)*1]), &(inteval->stack[((hsi*28+202)*1+lsi)*1]), &(inteval->stack[((hsi*21+230)*1+lsi)*1]),1);
HRRPart0bra0ket0ip(inteval, &(inteval->stack[((hsi*84+749)*1+lsi)*1]), &(inteval->stack[((hsi*36+166)*1+lsi)*1]), &(inteval->stack[((hsi*28+202)*1+lsi)*1]),1);
HRRPart0bra0ket0hd(inteval, &(inteval->stack[((hsi*126+833)*1+lsi)*1]), &(inteval->stack[((hsi*84+749)*1+lsi)*1]), &(inteval->stack[((hsi*63+686)*1+lsi)*1]),1);
HRRPart0bra0ket0kp(inteval, &(inteval->stack[((hsi*108+959)*1+lsi)*1]), &(inteval->stack[((hsi*45+121)*1+lsi)*1]), &(inteval->stack[((hsi*36+166)*1+lsi)*1]),1);
HRRPart0bra0ket0id(inteval, &(inteval->stack[((hsi*168+1067)*1+lsi)*1]), &(inteval->stack[((hsi*108+959)*1+lsi)*1]), &(inteval->stack[((hsi*84+749)*1+lsi)*1]),1);
HRRPart0bra0ket0hf(inteval, &(inteval->stack[((hsi*210+1235)*1+lsi)*1]), &(inteval->stack[((hsi*168+1067)*1+lsi)*1]), &(inteval->stack[((hsi*126+833)*1+lsi)*1]),1);
HRRPart0bra0ket0lp(inteval, &(inteval->stack[((hsi*135+1445)*1+lsi)*1]), &(inteval->stack[((hsi*55+66)*1+lsi)*1]), &(inteval->stack[((hsi*45+121)*1+lsi)*1]),1);
HRRPart0bra0ket0kd(inteval, &(inteval->stack[((hsi*216+1580)*1+lsi)*1]), &(inteval->stack[((hsi*135+1445)*1+lsi)*1]), &(inteval->stack[((hsi*108+959)*1+lsi)*1]),1);
HRRPart0bra0ket0if(inteval, &(inteval->stack[((hsi*280+1796)*1+lsi)*1]), &(inteval->stack[((hsi*216+1580)*1+lsi)*1]), &(inteval->stack[((hsi*168+1067)*1+lsi)*1]),1);
HRRPart0bra0ket0hg(inteval, &(inteval->stack[((hsi*315+2076)*1+lsi)*1]), &(inteval->stack[((hsi*280+1796)*1+lsi)*1]), &(inteval->stack[((hsi*210+1235)*1+lsi)*1]),1);
HRRPart0bra0ket0gp(inteval, &(inteval->stack[((hsi*45+959)*1+lsi)*1]), &(inteval->stack[((hsi*21+230)*1+lsi)*1]), &(inteval->stack[((hsi*15+251)*1+lsi)*1]),1);
HRRPart0bra0ket0gd(inteval, &(inteval->stack[((hsi*90+1004)*1+lsi)*1]), &(inteval->stack[((hsi*63+686)*1+lsi)*1]), &(inteval->stack[((hsi*45+959)*1+lsi)*1]),1);
HRRPart0bra0ket0gf(inteval, &(inteval->stack[((hsi*150+2391)*1+lsi)*1]), &(inteval->stack[((hsi*126+833)*1+lsi)*1]), &(inteval->stack[((hsi*90+1004)*1+lsi)*1]),1);
HRRPart0bra0ket0gg(inteval, &(inteval->stack[((hsi*225+686)*1+lsi)*1]), &(inteval->stack[((hsi*210+1235)*1+lsi)*1]), &(inteval->stack[((hsi*150+2391)*1+lsi)*1]),1);
HRRPart0bra0ket0gh(inteval, &(inteval->stack[((hsi*315+911)*1+lsi)*1]), &(inteval->stack[((hsi*315+2076)*1+lsi)*1]), &(inteval->stack[((hsi*225+686)*1+lsi)*1]),1);
HRRPart0bra0ket0mp(inteval, &(inteval->stack[((hsi*165+686)*1+lsi)*1]), &(inteval->stack[((hsi*66+0)*1+lsi)*1]), &(inteval->stack[((hsi*55+66)*1+lsi)*1]),1);
HRRPart0bra0ket0ld(inteval, &(inteval->stack[((hsi*270+2391)*1+lsi)*1]), &(inteval->stack[((hsi*165+686)*1+lsi)*1]), &(inteval->stack[((hsi*135+1445)*1+lsi)*1]),1);
HRRPart0bra0ket0kf(inteval, &(inteval->stack[((hsi*360+2661)*1+lsi)*1]), &(inteval->stack[((hsi*270+2391)*1+lsi)*1]), &(inteval->stack[((hsi*216+1580)*1+lsi)*1]),1);
HRRPart0bra0ket0ig(inteval, &(inteval->stack[((hsi*420+1226)*1+lsi)*1]), &(inteval->stack[((hsi*360+2661)*1+lsi)*1]), &(inteval->stack[((hsi*280+1796)*1+lsi)*1]),1);
HRRPart0bra0ket0hh(inteval, &(inteval->stack[((hsi*441+2391)*1+lsi)*1]), &(inteval->stack[((hsi*420+1226)*1+lsi)*1]), &(inteval->stack[((hsi*315+2076)*1+lsi)*1]),1);
HRRPart0bra0ket0gi(inteval, &(inteval->stack[((hsi*420+266)*1+lsi)*1]), &(inteval->stack[((hsi*441+2391)*1+lsi)*1]), &(inteval->stack[((hsi*315+911)*1+lsi)*1]),1);
}
}
}
const int hsi = 0;
const int lsi = 0;
const int vi = 0;
inteval->targets[0] = &(inteval->stack[((hsi*420+266)*1+lsi)*1]);
/** Number of flops = 0 */
}

#ifdef __cplusplus
};
#endif
